# 로고 수정 승인 요청

## 브랜드에 등록된 로고를 수정 승인요청 합니다.<br>

> 브랜드에 등록된 로고를 수정 승인요청 합니다.  \
> \
> 템플릿 등록 시 또는 메시지 발송 시 mTitleMedia, itemMedia 에는 로고 파일ID 만 지정이 가능합니다.  \
> \
> 다음과 같은 사용은 실패를 유발하므로 주의가 필요합니다.  \
> 예1) 템플릿 등록 시 mTitleMedia 에 POST /brand/{brandId}/v2/messagebase/file 로 등록한 이미지 파일ID를 지정하면 등록 실패          \
> 예2) 메시지 발송 시 itemMedia 에 이통 메시지 파일 등록 API(POST /file)로 등록한 파일ID를 지정하면 발송 실패  \
> \
> &#x20; \+ \*\*계정 권한: 마스터, 매니저, 대행사\*\*  \
> &#x20; \+ \*\*브랜드 권한: 브랜드 대표운영자, 운영자\*\*\
> &#x20; \+ \*\*수정 가능 상태 : 저장, 반려, 반려(수정), 승인\*\*<br>

```json
{"openapi":"3.0.0","info":{"title":"RCS Biz Center API 규격","version":"1.1.15"},"servers":[{"description":"RCS Biz Center API for Staging","url":"https://api-qa.rcsbizcenter.com/api/1.1"},{"description":"RCS Biz Center API for Production","url":"https://api.rcsbizcenter.com/api/1.1"}],"security":[{"jwtAuth":[]}],"components":{"securitySchemes":{"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"인증방식은 JWT인증을 사용합니다. 토큰의 갱신은 없으며 토큰 만료 시 항상 재발급 받아야 합니다.\n"}},"parameters":{"BrandKey":{"name":"X-RCS-Brandkey","in":"header","schema":{"type":"string","maxLength":18},"description":"maxLength: 18 - RCS Biz Center에서 브랜드 등록 시 자동 생성되는 Key 입니다.  \n\n대행사가 해당 브랜드에 대한 권한 여부를 판단하는데 사용됩니다.\n따라서, 대행사 계정으로 브랜드 내 정보를 조회/등록/수정 API 연동 시 Header에 설정되어야 합니다.\n"},"BrandId":{"name":"brandId","in":"path","schema":{"type":"string","maxLength":13},"required":true,"description":"maxLength: 13 - 브랜드 내 정보 접근시 사용되는 브랜드ID Path Parameter 입니다.\n"},"FileId":{"name":"fileId","in":"path","schema":{"type":"string"},"required":true,"description":"파일ID Path Parameter 입니다.\n"}},"schemas":{"RegBrandLogo":{"type":"object","description":"브랜드 로고 등록시 사용됩니다.\n","properties":{"name":{"type":"string","maxLength":30,"description":"maxLength: 30 - 로고명 입니다.\n"},"description":{"type":"string","maxLength":100,"description":"maxLength: 100 - 100자 이내의 로고 설명 입니다.\n"},"file":{"type":"object","format":"binary","description":"업로드 로고 이미지 파일을 지칭합니다.  \n        \n**파일형식 : gif, png, jpeg, jpg, bmp (최대 1MB)**\n"}},"required":["name","file"]}}},"paths":{"/brand/{brandId}/logo/{fileId}":{"put":{"summary":"브랜드에 등록된 로고를 수정 승인요청 합니다.\n","description":"브랜드에 등록된 로고를 수정 승인요청 합니다.  \n\n템플릿 등록 시 또는 메시지 발송 시 mTitleMedia, itemMedia 에는 로고 파일ID 만 지정이 가능합니다.  \n\n다음과 같은 사용은 실패를 유발하므로 주의가 필요합니다.  \n예1) 템플릿 등록 시 mTitleMedia 에 POST /brand/{brandId}/v2/messagebase/file 로 등록한 이미지 파일ID를 지정하면 등록 실패          \n예2) 메시지 발송 시 itemMedia 에 이통 메시지 파일 등록 API(POST /file)로 등록한 파일ID를 지정하면 발송 실패  \n\n  + **계정 권한: 마스터, 매니저, 대행사**  \n  + **브랜드 권한: 브랜드 대표운영자, 운영자**\n  + **수정 가능 상태 : 저장, 반려, 반려(수정), 승인**\n","parameters":[{"$ref":"#/components/parameters/BrandKey"},{"$ref":"#/components/parameters/BrandId"},{"$ref":"#/components/parameters/FileId"}],"requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/RegBrandLogo"}}}},"responses":{"200":{"description":"페이지 내 Response 섹션 참조"}}}}}}
```

## Response

<table data-full-width="true"><thead><tr><th width="179">필드명</th><th width="141">타입</th><th width="68" align="center">길이</th><th width="108" align="center">필수여부</th><th width="118">기본값</th><th>설명</th></tr></thead><tbody><tr><td><a href="#result-array-less-than-object-greater-than"><mark style="color:blue;"><strong><code>result</code></strong></mark></a></td><td>array&#x3C;object></td><td align="center"></td><td align="center">O</td><td></td><td>등록된 로고 ID 입니다.</td></tr><tr><td><strong><code>code</code></strong></td><td>string</td><td align="center">5</td><td align="center">O</td><td>20000000</td><td></td></tr><tr><td><strong><code>status</code></strong></td><td>integer</td><td align="center">3</td><td align="center">O</td><td>200</td><td></td></tr><tr><td><strong><code>desc</code></strong></td><td>string</td><td align="center"></td><td align="center">O</td><td></td><td></td></tr></tbody></table>

### <mark style="color:blue;">result</mark> - array\<object>

<table data-full-width="true"><thead><tr><th width="147">필드명</th><th width="141">타입</th><th width="68" align="center">길이</th><th width="108" align="center">필수여부</th><th width="118">기본값</th><th>설명</th></tr></thead><tbody><tr><td><strong><code>fileId</code></strong></td><td>string</td><td align="center"></td><td align="center"></td><td></td><td>등록된 로고 ID 입니다.</td></tr></tbody></table>

### ❖ response body sample

{% tabs %}
{% tab title="200" %}

```
{
    "code": "20000000",
    "desc": null,
    "result": [
        {
            "fileId": "BLG-BR.61hBmMP164-Jt1O"
        }
    ],
    "status": 200
}
```

{% endtab %}

{% tab title="400" %}

```
{
    "error": {
        "code": "64001",
        "message": "Missing X-RCS-BrandKey header"
    },
    "status": 400
}

{
    "error": {
        "code": "64321",
        "message": "Invalid approval status"
    },
    "status": 400
}
```

{% endtab %}

{% tab title="401" %}

```
{
    "error": {
        "code": "61003",
        "message": "Invalid token"
    },
    "status": 401
}
```

{% endtab %}

{% tab title="403" %}

```
{
    "error": {
        "code": "63001",
        "message": "No Brand Permission"
    },
    "status": 403
}
```

{% endtab %}
{% endtabs %}

{% hint style="warning" %}
error code는 [RCS Biz Center - Response body error code](/rbc-api/error_code.md#rcs-biz-center-response-body-error-code) 참조
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.rcsbizcenter.com/rbc-api/logo/put_logo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
